Google付费运行正常
Gemini 3.1 Pro Preview Customtools
API 模型名称: gemini-3.1-pro-preview-customtools
Gemini 3.1 Pro Preview Customtools 是 Google 的聊天模型,通过 Api.Airforce 统一 API 提供服务。 功能包括 推理。 它的定价为每百万输入 tokens ¥9.32,每百万输出 tokens ¥55.88。 通过 OpenAI 兼容 API 使用一个密钥即可访问它,以及 Api.Airforce 上的 100+ 其他模型。
价格
按输入长度计价
| 输入长度 | 输入 / 1M tokens | 输出 / 1M tokens |
|---|---|---|
| ≤200000 | ≈ ¥9.32 | ≈ ¥55.88 |
| long_context | ≈ ¥18.65 | ≈ ¥83.79 |
规格参数
- 供应商
- 类型
- 聊天模型
功能特性
推理
Gemini 3.1 Pro Preview Customtools 适用于哪些场景?
- 聊天机器人与助手——对话式 AI、起草、摘要与 Q&A。
- 复杂推理——数学、编程与逐步问题求解。
Gemini 3.1 Pro Preview Customtools 与同类模型对比
| 模型 | 智能 | 上下文 | 输入 / 1M | 输出 / 1M |
|---|---|---|---|---|
| Gemini 3.1 Pro Preview Customtools | — | — | ¥9.32 | ¥55.88 |
| Gemini 2.5 Flash | 14.1 | 1M | ¥2.70 | ¥16.89 |
| Gemini 2.5 Flash Lite | — | — | ¥0.54 | ¥2.09 |
| Gemini 2.5 Pro | 25.8 | 2M | ¥4.73 | ¥14.87 |
价格为 Api.Airforce 按量计费费率,单位为每 1M token。上下文为最大输入长度。
相关模型
Gemini 2.5 FlashGoogle · ¥2.70 / 1MGemini 2.5 Flash LiteGoogle · ¥0.54 / 1MGemini 2.5 ProGoogle · ¥4.73 / 1MGemini 3 FlashGoogle · ¥1.76 / 1MGemini 3 ProGoogle · ¥6.08 / 1MGemini 3.1 Flash LiteGoogle · ¥0.95 / 1MGemini 3.1 ProGoogle · ¥6.76 / 1MGemini 3.5 FlashGoogle · ¥8.11 / 1MGemini 3.5 Flash LiteGoogle · ¥1.69 / 1MGemini 3.6 FlashGoogle · ¥8.31 / 1MGemini Embedding 001Google · ¥0.61 / 1MGemini Embedding 2Google · ¥0.20 / 1M
Gemini 3.1 Pro Preview Customtools — 常见问题
- Gemini 3.1 Pro Preview Customtools 的费用是多少?
- Gemini 3.1 Pro Preview Customtools 按量计费:输入 ¥9.32 / 1M token,输出 ¥55.88 / 1M token。无需订阅,仅按实际用量收费。
- Gemini 3.1 Pro Preview Customtools 具备哪些能力?
- Gemini 3.1 Pro Preview Customtools 支持 推理。
- Gemini 3.1 Pro Preview Customtools 是否免费使用?
- Gemini 3.1 Pro Preview Customtools 是付费按量计费模型——无需订阅,仅按用量收费。
- 如何通过 API 使用 Gemini 3.1 Pro Preview Customtools?
- Gemini 3.1 Pro Preview Customtools 兼容 OpenAI 接口。将任意 OpenAI SDK 的请求地址指向 https://api.airforce/v1,传入模型 ID gemini-3.1-pro-preview-customtools 及您的 Api.Airforce API 密钥即可。
- Gemini 3.1 Pro Preview Customtools 由谁开发?
- Gemini 3.1 Pro Preview Customtools 是 Google 的聊天模型,通过 Api.Airforce 统一网关提供服务,接入 100+ 款其他模型。
正在加载实时指标……
正在加载实时指标……
正在加载实时指标……
通过 API 使用 Gemini 3.1 Pro Preview Customtools
OpenAI 兼容 —— 将任意 OpenAI SDK 指向 https://api.airforce/v1 并传入 gemini-3.1-pro-preview-customtools 作为模型。
cURL
curl https://api.airforce/v1/chat/completions \
-H "Authorization: Bearer $AIRFORCE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "gemini-3.1-pro-preview-customtools",
"messages": [{ "role": "user", "content": "Hello!" }]
}'Python
from openai import OpenAI
client = OpenAI(base_url="https://api.airforce/v1", api_key="$AIRFORCE_API_KEY")
r = client.chat.completions.create(
model="gemini-3.1-pro-preview-customtools",
messages=[{"role": "user", "content": "Hello!"}],
)
print(r.choices[0].message.content)JavaScript
import OpenAI from "openai";
const client = new OpenAI({ baseURL: "https://api.airforce/v1", apiKey: process.env.AIRFORCE_API_KEY });
const r = await client.chat.completions.create({
model: "gemini-3.1-pro-preview-customtools",
messages: [{ role: "user", content: "Hello!" }],
});
console.log(r.choices[0].message.content);